diff -aurw -X ./create_patch.exclude ./ns-2.35/Makefile.in ./ns-2.35-patched/Makefile.in
--- ./ns-2.35/Makefile.in	2011-10-23 18:29:54.000000000 +0200
+++ ./ns-2.35-patched/Makefile.in	2018-10-02 23:32:56.000000000 +0200
@@ -59,7 +59,7 @@
 LDFLAGS	= @LDFLAGS@ 
 LDOUT	= -o $(BLANK)
 
-DEFINE	= -DTCP_DELAY_BIND_ALL -DNO_TK @V_DEFINE@ @V_DEFINES@ @DEFS@ -DNS_DIFFUSION -DSMAC_NO_SYNC -DCPP_NAMESPACE=@CPP_NAMESPACE@ -DUSE_SINGLE_ADDRESS_SPACE -Drng_test
+DEFINE	= -DTCP_DELAY_BIND_ALL -DNO_TK @V_DEFINE@ @V_DEFINES@ @DEFS@ -DNS_DIFFUSION -DSMAC_NO_SYNC -DCPP_NAMESPACE=@CPP_NAMESPACE@ -DUSE_SINGLE_ADDRESS_SPACE -Drng_test -DUSE_INTERP_RESULT -DWIRED
 
 INCLUDES = \
 	-I. @V_INCLUDE_X11@ \
diff -aurw -X ./create_patch.exclude ./ns-2.35/configure ./ns-2.35-patched/configure
--- ./ns-2.35/configure	2011-11-04 18:29:46.000000000 +0100
+++ ./ns-2.35-patched/configure	2018-09-30 16:52:25.000000000 +0200
@@ -5624,6 +5624,10 @@
 		/usr/lib64/tcl$TCL_VERS \
 		/usr/lib64/tcl$TCL_HI_VERS \
 		/usr/lib64/tcl$TCL_ALT_VERS \
+		/usr/lib/x86_64-linux-gnu \
+		/usr/lib/x86_64-linux-gnu/tcl$TCL_VERS \
+		/usr/lib/x86_64-linux-gnu/tcl$TCL_HI_VERS \
+		/usr/lib/x86_64-linux-gnu/tcl$TCL_ALT_VERS \
 		/usr/lib/tcl$TCL_VERS \
 		/usr/lib/tcl$TCL_HI_VERS \
 		/usr/lib/tcl$TCL_ALT_VERS \
@@ -6188,6 +6192,10 @@
 		../lib/tk$TK_VERS \
 		../lib/tk$TK_ALT_VERS \
 		../tk$TK_VERS/unix \
+		/usr/lib/x86_64-linux-gnu \
+		/usr/lib/x86_64-linux-gnu/tk$TK_VERS \
+		/usr/lib/x86_64-linux-gnu/tk$TK_ALT_VERS \
+		/usr/lib/x86_64-linux-gnu/tk$TK_HI_VERS \
                 ../tk$TK_ALT_VERS/unix \
                 ../tk$TK_HI_VERS/unix \
                 /usr/src/local/tk$TK_VERS/unix \
@@ -6455,6 +6463,9 @@
 		/usr/contrib/lib \
 		/usr/local/lib \
 		/usr/lib \
+		/usr/lib/x86_64-linux-gnu \
+		/usr/lib/x86_64-linux-gnu/otcl-$OTCL_VERS \
+		/usr/lib/x86_64-linux-gnu/otcl-$OTCL_ALT_VERS \
 		/usr/src/local/otcl \
 		/usr/src/local/otcl-$OTCL_VERS \
 		/usr/src/local/otcl-$OTCL_ALT_VERS \
@@ -6648,6 +6659,7 @@
                 /usr/src/local/Tcl \
                 /usr/src/local/Tcl-1.0 \
                 /import/Tcl/include \
+				/usr/include/tclcl \
                 /usr/local/include \
                 /usr/contrib/include \
                 /usr/include"
@@ -6665,6 +6677,9 @@
                 /usr/contrib/lib \
                 /usr/local/lib \
                 /usr/lib \
+				/usr/lib/x86_64-linux-gnu \
+				/usr/lib/x86_64-linux-gnu/tclcl-$TCLCL_VERS \
+				/usr/lib/x86_64-linux-gnu/tclcl-$TCLCL_ALT_VERS \
                 /usr/src/local/Tcl \
                 /usr/src/local/Tcl-1.0"
 TCLCL_LIB_PLACES_D="\
diff -aurw -X ./create_patch.exclude ./ns-2.35/indep-utils/webtrace-conv/dec/Makefile.in ./ns-2.35-patched/indep-utils/webtrace-conv/dec/Makefile.in
--- ./ns-2.35/indep-utils/webtrace-conv/dec/Makefile.in	2005-09-16 05:05:40.000000000 +0200
+++ ./ns-2.35-patched/indep-utils/webtrace-conv/dec/Makefile.in	2018-10-09 14:54:55.000000000 +0200
@@ -53,7 +53,7 @@
 
 CC = @CXX@
 INCLUDE = -I. @V_INCLUDES@
-CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@
+CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@ -DUSE_INTERP_RESULT
 LDFLAGS = @V_STATIC@
 LIBS = @V_LIB_TCL@ @V_LIB@ @LIBS@
 INSTALL = @INSTALL@
diff -aurw -X ./create_patch.exclude ./ns-2.35/indep-utils/webtrace-conv/epa/Makefile.in ./ns-2.35-patched/indep-utils/webtrace-conv/epa/Makefile.in
--- ./ns-2.35/indep-utils/webtrace-conv/epa/Makefile.in	2005-09-16 05:05:40.000000000 +0200
+++ ./ns-2.35-patched/indep-utils/webtrace-conv/epa/Makefile.in	2018-10-09 14:54:31.000000000 +0200
@@ -50,7 +50,7 @@
 MKDEP	= ../../../conf/mkdep
 
 INCLUDE = -I. @V_INCLUDES@
-CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@
+CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@ -DUSE_INTERP_RESULT
 LDFLAGS = @V_STATIC@
 LIBS = @V_LIB_TCL@ @V_LIB@ @LIBS@
 INSTALL = @INSTALL@
diff -aurw -X ./create_patch.exclude ./ns-2.35/indep-utils/webtrace-conv/nlanr/Makefile.in ./ns-2.35-patched/indep-utils/webtrace-conv/nlanr/Makefile.in
--- ./ns-2.35/indep-utils/webtrace-conv/nlanr/Makefile.in	2005-09-16 05:05:41.000000000 +0200
+++ ./ns-2.35-patched/indep-utils/webtrace-conv/nlanr/Makefile.in	2018-10-09 14:53:55.000000000 +0200
@@ -50,7 +50,7 @@
 
 CC = @CXX@
 INCLUDE = -I. -I../../.. @V_INCLUDES@
-CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@
+CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@ -DUSE_INTERP_RESULT
 LDFLAGS = @V_STATIC@
 LIBS = @V_LIB_TCL@ @V_LIB@ @LIBS@
 INSTALL = @INSTALL@
diff -aurw -X ./create_patch.exclude ./ns-2.35/indep-utils/webtrace-conv/ucb/Makefile.in ./ns-2.35-patched/indep-utils/webtrace-conv/ucb/Makefile.in
--- ./ns-2.35/indep-utils/webtrace-conv/ucb/Makefile.in	2004-05-18 17:10:42.000000000 +0200
+++ ./ns-2.35-patched/indep-utils/webtrace-conv/ucb/Makefile.in	2018-10-09 14:53:35.000000000 +0200
@@ -28,7 +28,7 @@
 MKDEP	= ../../../conf/mkdep
 
 INCLUDE = -I. @V_INCLUDES@
-CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@
+CFLAGS = @V_CCOPT@ -DCPP_NAMESPACE=@CPP_NAMESPACE@ -DUSE_INTERP_RESULT
 LDFLAGS = @V_STATIC@
 LIBS = @V_LIB_TCL@ @V_LIB@ @LIBS@
 INSTALL = @INSTALL@
diff -aurw -X ./create_patch.exclude ./ns-2.35/linkstate/ls.h ./ns-2.35-patched/linkstate/ls.h
--- ./ns-2.35/linkstate/ls.h	2010-03-08 06:54:51.000000000 +0100
+++ ./ns-2.35-patched/linkstate/ls.h	2018-10-02 22:28:00.000000000 +0200
@@ -134,7 +134,7 @@
 		return ib.second ? ib.first : baseMap::end();
 	}
 
-	void eraseAll() { erase(baseMap::begin(), baseMap::end()); }
+	void eraseAll() { baseMap::erase(baseMap::begin(), baseMap::end()); }
 	T* findPtr(Key key) {
 		iterator it = baseMap::find(key);
 		return (it == baseMap::end()) ? (T *)NULL : &((*it).second);
diff -aurw -X ./create_patch.exclude ./ns-2.35/packmime/packmime_OL.h ./ns-2.35-patched/packmime/packmime_OL.h
--- ./ns-2.35/packmime/packmime_OL.h	2006-02-04 16:16:45.000000000 +0100
+++ ./ns-2.35-patched/packmime/packmime_OL.h	2018-10-09 15:17:26.483886980 +0200
@@ -73,7 +73,7 @@
 	void init();
 	int size_;
 	int seqno_;
-	int64_t maxpkts_;	
+	int maxpkts_;
 	
 	// statistics objects
 	RandomVariable* pm_pac_ia_;
diff -aurw -X ./create_patch.exclude ./ns-2.35/pushback/ident-tree.h ./ns-2.35-patched/pushback/ident-tree.h
--- ./ns-2.35/pushback/ident-tree.h	2005-09-19 01:33:34.000000000 +0200
+++ ./ns-2.35-patched/pushback/ident-tree.h	2018-10-02 22:38:12.482216824 +0200
@@ -83,7 +83,7 @@
     Tcl_HashSearch searchPtr;
     Tcl_HashEntry * he = Tcl_FirstHashEntry(hashTable_, &searchPtr);
     while (he != NULL) {
-      char * key = Tcl_GetHashKey(hashTable_, he);
+      char * key = (char *)Tcl_GetHashKey(hashTable_, he);
       long value = (long)Tcl_GetHashValue(he);
       printf("%s = %ld\n", key, value);
       he = Tcl_NextHashEntry(&searchPtr);
diff -aurw -X ./create_patch.exclude ./ns-2.35/tools/queue-monitor.h ./ns-2.35-patched/tools/queue-monitor.h
--- ./ns-2.35/tools/queue-monitor.h	2005-07-13 05:51:33.000000000 +0200
+++ ./ns-2.35-patched/tools/queue-monitor.h	2018-10-09 15:58:43.794640528 +0200
@@ -42,6 +42,7 @@
 #include "connector.h"
 #include "packet.h"
 #include "flags.h"
+#undef HAVE_INT64
 
 class QueueMonitor : public TclObject {
 public: 
diff -aurw -X ./create_patch.exclude ./ns-2.35/tools/rng.cc ./ns-2.35-patched/tools/rng.cc
--- ./ns-2.35/tools/rng.cc	2006-02-21 16:20:20.000000000 +0100
+++ ./ns-2.35-patched/tools/rng.cc	2018-10-09 15:58:43.794640528 +0200
@@ -280,7 +280,7 @@
 			default_ = this;
 			return(TCL_OK);
 		}
-		//#if 0
+		#if 0
 		if (strcmp(argv[1], "test") == 0) {
 			RNGTest test; test.verbose_mil();
 			//if (test())
@@ -289,7 +289,7 @@
 			//	tcl.resultf("RNG test passed");
 			return(TCL_OK);
 		}
-		//#endif
+		#endif
 	} else if (argc == 4) {
 		if (strcmp(argv[1], "seed") == 0) {
 			int s = atoi(argv[3]);
diff -aurw -X ./create_patch.exclude ./ns-2.35/webcache/pagepool.cc ./ns-2.35-patched/webcache/pagepool.cc
--- ./ns-2.35/webcache/pagepool.cc	2011-10-06 02:27:14.000000000 +0200
+++ ./ns-2.35-patched/webcache/pagepool.cc	2018-10-02 22:34:28.407860008 +0200
@@ -658,7 +658,7 @@
 			for (he = Tcl_FirstHashEntry(namemap_, &hs); 
 			     he != NULL;
 			     he = Tcl_NextHashEntry(&hs)) {
-				char* retVal = Tcl_GetHashKey(namemap_, he);
+				char* retVal = (char *)Tcl_GetHashKey(namemap_, he);
 				// Convert name to a PageID
 				PageID t1;
 				ClientPage::split_name (retVal, t1);
